/*
	
	StatWatch.cpp
	
	Copyright 1997 CHS Systems (CHeSSy) and Chris Heimark, All Rights Reserved.

	http://www.webleap.com
	
	be-technoid@webleap.com	
*/

#ifndef STAT_WATCH_WINDOW_H
#include "StatWatchWindow.h"
#endif

#ifndef STAT_WATCH_H
#include "StatWatch.h"
#endif

const BRect kWindowLocation (100, 80, 400, 455);

main()
{	
	StatWatchApplication *myApplication;

	myApplication = new StatWatchApplication ();
	
	myApplication->SetPulseRate (333000LL);

	myApplication->Run();
	
	delete myApplication;
	return(0);
}

StatWatchApplication::StatWatchApplication () : BApplication('CHSY')
{
	// set up a rectangle and instantiate a new window

	mWindow = new StatWatchWindow (kWindowLocation);

	mWindow->SetSizeLimits ( kWindowLocation.right - kWindowLocation.left, 
							  2000, 
							  kWindowLocation.bottom - kWindowLocation.top,
							  kWindowLocation.bottom - kWindowLocation.top
							);

}

void StatWatchApplication::Pulse ()
{
	mWindow->PostMessage (SW_UPDATE_STATS);
}
