/*
	
	StatWatchWindow.h
	
	Copyright 1997 CHS Systems (CHeSSy) and Chris Heimark, All Rights Reserved.

	http://www.webleap.com
	
	be-technoid@webleap.com	
*/

#ifndef STAT_WATCH_WINDOW_H
#define STAT_WATCH_WINDOW_H

#ifndef _WINDOW_H
#include <Window.h>
#endif

#include <InterfaceKit.h>

class StatWatchWindow : public BWindow 
{
public:
					StatWatchWindow(BRect frame); 
	virtual	bool	QuitRequested();

	virtual void	MessageReceived (BMessage* message);

private:

			void	DisplayOurStats ();
			char	*GetAsciiCPU (cpu_type	cpuType) const;
			void	SetBarColor (BStatusBar *bar, float value, float max);

	BStatusBar		*mCurrentThreads, *mMaximumThreads;
	float			mMaxThreadsUsed;
	float			mPriorThreadsUsed;

	BStatusBar		*mCurrentTeams, *mMaximumTeams;
	float			mMaxTeamsUsed;
	float			mPriorTeamsUsed;

	BStatusBar		*mCurrentSems, *mMaximumSems;
	float			mMaxSemsUsed;
	float			mPriorSemsUsed;

	BStatusBar		*mCurrentPages, *mMaximumPages;
	float			mMaxPagesUsed;
	float			mPriorPagesUsed;

	BStatusBar		*mCurrentPorts, *mMaximumPorts;
	float			mMaxPortsUsed;
	float			mPriorPortsUsed;
};

#endif

#define	SW_UPDATE_STATS		'upsw'

